Sådan installeres den nyeste version af LibreOffice på Ubuntu

LibreOffice 7.1.1 på Ubuntu

Selvom Ubuntu ikke er Debian, er det heller ikke Arch Linux. Hvad jeg mener er frekvensen og hastigheden, hvormed de føjer softwaren til deres arkiver: Debian tilføjer kun software, der er velafprøvet, hvilket oversættes til meget gamle versioner, mens Ubuntu opdateres hurtigere, men mindre end distributioner Rolling Release som Arch Linux eller Manjaro . Af denne grund tilføjer han normalt en version af LibreOffice hvilket ikke er det mest opdaterede.

Før jeg fortsætter, vil jeg gerne gøre en ting klar: Hvis Canonical vælger at forblive med den anbefalede version, er det til noget. Det er simpelthen mere testet og har færre fejl. Men det er også rigtigt, at The Document Foundation forbedrer kompatibiliteten med hver nye udgivelse, og for nylig er jeg overrasket over at se, at meget af det, der er skrevet i Writer, er perfekt kompatibelt med WordPress, så jeg tror, ​​at det i tilfælde som dette er værd at bruge den nyeste version. Her skal vi vise dig hvordan.

Den bedste mulighed for altid at have LibreOffice opdateret: din PPA

For nogle software er faktisk en af ​​de bedste muligheder langtfra at bruge Flatpak-versionen. Men det faktum, at de er isolerede pakker, kan forårsage problemer, hvorfor jeg som mange andre stadig foretrækker det, vi kalder "APT-versionen". Hvis det er det, der interesserer os, er alt, hvad vi skal gøre, at tilføje officielt arkiv:

  1. Vi åbner en terminal.
  2. Vi skriver følgende:
sudo add-apt-repository ppa:libreoffice
  1. Dernæst opdaterer vi pakker. Hvis vi har LibreOffice installeret, vises den nye version som en opdatering.

Flatpak version

Den næstbedste mulighed for mig er at installere flatpak-pakke. Vi kan gøre dette fra ethvert kompatibelt softwarecenter, så længe det er aktiveret. I denne artikel vi forklarer, hvordan man gør det fra Ubuntu 20.04 og fremefter. Hvis vi har en ældre version, var GNOME-software allerede installeret som standard, så det er ikke nødvendigt at installere det. Installation af en hvilken som helst pakke af denne type er så simpelt som at søge efter den, se på kildeafsnittet, vælge "Flathub" og klikke på "Install".

Vi kan også installere pakken som forklaret i Flathub-side, som er med en terminalkommando (flatpak installere flathub org.libreoffice.LibreOffice), men hvorfor gør det sådan, hvis vi taler om Ubuntu, og vi kan gøre det med GNOME-software? Derudover kan vi fra GNOME-butikken også søge efter Flatpak-pakker.

Snap-version

Dette sætter jeg den sidste af de tre bedste muligheder, fordi jeg foretrækker de tidligere pakker. Mange Snap-pakker tager også tid at opdatere, selvom dette ikke ser ud til at være tilfældet for LibreOffice. Installation af Snap-versionen af ​​denne kontorpakke i Ubuntu er lige så enkel som at søge "Libreoffice" i standardbutikken af operativsystemet, da det faktisk er en "Snap Store", som jeg slet ikke anbefaler, men det er godt for dette.

Hvis du som mig overhovedet ikke vil røre ved den butik, og hvis du har installeret GNOME-software, kan du også se efter den i denne butik og vælge den, der oprindeligt siger "snapcraft.io" i Ubuntu. Og hvis det, du vil, er at gøre det via terminal, bliver du nødt til at skrive denne kommando:

sudo snap install libreoffice

Som jeg har kommenteret, foretrækker jeg at gøre det med det officielle arkiv, og jeg tror ikke, jeg er den eneste, men nogen af ​​disse tre muligheder er god.


Indholdet af artiklen overholder vores principper for redaktionel etik. Klik på for at rapportere en fejl her.

2 kommentarer, lad dine

Efterlad din kommentar

Din e-mailadresse vil ikke blive offentliggjort.

*

*

  1. Ansvarlig for dataene: Miguel Ángel Gatón
  2. Formålet med dataene: Control SPAM, management af kommentarer.
  3. Legitimering: Dit samtykke
  4. Kommunikation af dataene: Dataene vil ikke blive kommunikeret til tredjemand, undtagen ved juridisk forpligtelse.
  5. Datalagring: Database hostet af Occentus Networks (EU)
  6. Rettigheder: Du kan til enhver tid begrænse, gendanne og slette dine oplysninger.

  1.   Baskisk sagde han

    At de er isolerede pakker kan generere problemer, det vil være, at nej, uden flatpak vil du ikke engang et eneste problem, selvom du kun bruger et i hele systemet, hvilket vrøvl du skal se.

    1.    pablinux sagde han

      Ikke alt fungerer det samme, der er udvidelser, der ikke er tilgængelige, designet kan variere ...

      Ja, det er en mulighed.